> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infercom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue Integrationsanleitung

> Continue Extension für Infercoms EU-souveräne KI-Inferenz konfigurieren. Open-Source VS Code Copilot-Alternative mit GDPR-konformer Infrastruktur.

[Continue](https://continue.dev) ist ein Open-Source KI-Coding-Assistent, der sich in VS Code und JetBrains IDEs integriert. Er bietet Chat, Inline-Bearbeitung und Custom-Shortcuts.

<Info>
  **Setup-Zeit:** \~3 Minuten
</Info>

## Voraussetzungen

* [VS Code](https://code.visualstudio.com/) oder JetBrains IDE
* [Continue Extension](https://docs.continue.dev/getting-started/install) installiert
* [Infercom API-Schlüssel](https://cloud.infercom.ai/apis)

## Konfiguration

### Schritt 1: Konfiguration öffnen

1. Auf das Continue-Icon in Ihrer IDE-Seitenleiste klicken
2. Auf das **Zahnrad-Icon** klicken um `config.json` zu öffnen

### Schritt 2: Infercom Provider hinzufügen

Ihre `config.json` aktualisieren um Infercom einzubinden:

```json theme={null}
{
  "models": [
    {
      "model": "MiniMax-M2.7",
      "provider": "openai",
      "apiKey": "ihr-infercom-api-key",
      "apiBase": "https://api.infercom.ai/v1",
      "title": "MiniMax-M2.7 (EU Sovereign)"
    }
  ]
}
```

### Schritt 3: Speichern und neu laden

1. Die `config.json` Datei speichern
2. Das Modell sollte in Continues Modellauswahl erscheinen

## Mit Tab-Autocomplete

Um MiniMax-M2.7 auch für Tab-Vervollständigung zu verwenden:

```json theme={null}
{
  "models": [
    {
      "model": "MiniMax-M2.7",
      "provider": "openai",
      "apiKey": "ihr-infercom-api-key",
      "apiBase": "https://api.infercom.ai/v1",
      "title": "MiniMax-M2.7 (EU Sovereign)"
    }
  ],
  "tabAutocompleteModel": {
    "model": "MiniMax-M2.7",
    "provider": "openai",
    "apiKey": "ihr-infercom-api-key",
    "apiBase": "https://api.infercom.ai/v1"
  }
}
```

## Modell

`MiniMax-M2.7` verwenden - optimiert für Agentic Coding mit 192K Kontext.

## Verwendung

### Chat

`Cmd+L` / `Ctrl+L` drücken um das Chat-Panel zu öffnen und Fragen zu Ihrem Code zu stellen.

### Inline-Bearbeitung

1. Code in Ihrem Editor auswählen
2. `Cmd+I` / `Ctrl+I` drücken
3. Die gewünschten Änderungen beschreiben

### Tab-Autocomplete

Wenn in `tabAutocompleteModel` konfiguriert, bietet Continue Inline-Vervollständigungen beim Tippen.

## Continue Hub

Continue Hub bietet vorgefertigte Konfigurationen. Obwohl Infercom nicht direkt gelistet ist, können Sie das obige OpenAI-kompatible Setup mit jedem Continue Hub Assistenten verwenden.

## Fehlerbehebung

### Modell erscheint nicht

1. `config.json`-Syntax auf gültiges JSON prüfen
2. Modellname ist exakt: `MiniMax-M2.7`
3. IDE-Fenster neu laden

### Authentifizierungsfehler

API-Schlüssel verifizieren:

```bash theme={null}
curl -s https://api.infercom.ai/v1/models \
  -H "Authorization: Bearer ihr-infercom-api-key"
```

### Konfigurationsdatei-Speicherort

| OS      | Pfad                                  |
| ------- | ------------------------------------- |
| macOS   | `~/.continue/config.json`             |
| Linux   | `~/.continue/config.json`             |
| Windows | `%USERPROFILE%\.continue\config.json` |

## Nächste Schritte

* [Cline](/de/agentic-coding/cline) - Autonomer VS Code Agent
* [Cursor](/de/agentic-coding/cursor) - Volle KI-native IDE
* [Tool auswählen](/de/agentic-coding/choosing-a-tool) - Alle Optionen vergleichen
